Uploaded image for project: 'OpenShift Bugs'
  1. OpenShift Bugs
  2. OCPBUGS-31365

make verify should use MCO's kube version

XMLWordPrintable

    • Important
    • No
    • Rejected
    • False
    • Hide

      None

      Show
      None

      Description of problem:

      make verify uses the latest version of setup-envtest, regardless of what go version the repo is currently on

      How reproducible:

      100%

      Steps to Reproduce:

      Run `make verify` without a local image of setup-envtest should cause the issue

      Actual results:

      go: sigs.k8s.io/controller-runtime/tools/setup-envtest@latest: sigs.k8s.io/controller-runtime/tools/setup-envtest@v0.0.0-20240323114127-e08b286e313e requires go >= 1.22.0 (running go 1.21.7; GOTOOLCHAIN=local)
      Go compliance shim [5685] [rhel-8-golang-1.21][openshift-golang-builder]: Exited with: 1    

      Expected results:

      make verify should be able to run without build errors

      Additional info:

          

            djoshy David Joshy
            djoshy David Joshy
            Rio Liu Rio Liu
            Votes:
            0 Vote for this issue
            Watchers:
            6 Start watching this issue

              Created:
              Updated: